import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JPanel;
import javax.swing.JLabel;


/**
 * @author Ben Coleman
 *
 */
@SuppressWarnings("serial")
public class AboutPanel extends JPanel implements ActionListener 
{

	private JButton ok;
	
	private ControlPanel control;
	
	public AboutPanel(ControlPanel cPanel)
	{
		control = cPanel;
		
		ok = new JButton("ok");
		ok.setActionCommand("ok");
		ok.addActionListener(this);

		JLabel label1 = new JLabel("Simulation of Ideal Gas / Billiard Ball Collisions");
		JLabel label2 = new JLabel("Version 1.0");
		JLabel label3 = new JLabel("by Benjamin Coleman <bcoleman532@gmail.com>");
		JLabel label4 = new JLabel("Troy High School Senior");
		JLabel label5 = new JLabel("Supervised by Wayne Hayes <wayne@ics.uci.edu>");
		JLabel label6 = new JLabel("Assistant Professor, Computer Science, UC Irvine");
		JLabel label7 = new JLabel("July 2008");
		
		JPanel panel = new JPanel(new GridLayout(0, 1));
		panel.add(label1);
		panel.add(label2);
		panel.add(label3);
		panel.add(label4);
		panel.add(label5);
		panel.add(label6);
		panel.add(label7);
		panel.add(ok);
		
		add(panel);
	}

	@Override
	public void actionPerformed(ActionEvent arg0) 
	{
		if(arg0.getActionCommand().equals("ok"))
		{
			control.hasSelected(true);
		}

	}

}
